%define	Werror_cflags	%nil

%define	docname		kicad-doc
%define	symname		kicad-symbols
%define	p3dname		kicad-packages3D
%define	templname	kicad-templates
%define	fpname		kicad-footprints
%define	i18nname	kicad-i18n

%define	branch		5.0


Name:		kicad
Summary:	An open source program for the creation of electronic schematic diagrams
Version:	5.1.6
Release:	%mkrel 1
License:	GPLv3+
Group:		Sciences/Computer science
Url:		http://kicad-pcb.org/
Source0:	https://launchpad.net/%{name}/%{branch}/%{version}/+download/%{name}-%{version}.tar.xz

# This needs to be aligned with kicad-library-*/template/fp-lib-table.for-pretty

Patch1:		kicad-5.1.0-nostrip.patch

BuildRequires:	%{_lib}wxgtku3.0-devel
BuildRequires:	mesa-common-devel
BuildRequires:	imagemagick
BuildRequires:	boost-devel
BuildRequires:	glm-devel
BuildRequires:	lib64oce-devel
BuildRequires:	ngspice-devel
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(openssl) >= 1.1
BuildRequires:	libgomp-devel
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	cmake
# doc
BuildRequires:	dblatex
BuildRequires:	po4a
BuildRequires:	asciidoc
BuildRequires:	git
BuildRequires:	perl(Unicode::LineBreak)
BuildRequires:	source-highlight
# python scripting
BuildRequires:	python-devel
BuildRequires:	swig

BuildRequires:	desktop-file-utils
Requires:	kicad-footprints
Requires:	kicad-i18n
Requires:	kicad-packages3D
Requires:	kicad-symbols
Requires:	kicad-templates
Requires:   kicad-doc
Requires:   wxgtk3.0

%description
Kicad is an open source (GPL) program for the creation of electronic
schematic diagrams and printed circuit board artwork.

Kicad is a set of four programs and a project manager:

* Eeschema:	Schematic entry.
* Pcbnew:	Board editor.
* Gerbview:	GERBER viewer (photoplotter documents).
* Cvpcb:	footprint selector for components used in the circuit design.
* Kicad:	project manager.

%prep
%setup -q 
%patch1 -p1

%build
export LC_ALL=C

# Building kicad
# Set CMAKE_PREFIX_PATH because of a misconfiguration in opencascade
	%cmake \
		-DBUILD_SHARED_LIBS:BOOL=OFF \
		-DCMAKE_BUILD_TYPE=Release \
		-DKICAD_BUILD_VERSION=%{version} \
		-DBUILD_GITHUB_PLUGIN=ON \
		-DKICAD_SCRIPTING=ON \
		-DKICAD_SCRIPTING_MODULES=ON \
		-DKICAD_SCRIPTING_WXPYTHON=OFF \
		-DCPACK_DO_STRIP=OFF
	%make_build

%install


# Installing kicad
	%make_install -C build

	# create desktop file
	desktop-file-install --vendor='' \
		--remove-category='Scientific' \
		--add-category='Science;Electronics;Education;X-MandrivaLinux-MoreApplications-Sciences' \
		--dir=%buildroot%{_datadir}/applications \
		%buildroot%{_datadir}/applications/*.desktop

# remove unwanted devel files
rm -r %{buildroot}%{_libdir}/libkicad_3dsg.so

%files
%{_bindir}/*
%{_libdir}/libkicad_3dsg.so.*
%{_iconsdir}/*/*/*
%{python2_sitelib}/_pcbnew.so
%{python2_sitelib}/pcbnew.*
%{_datadir}/%{name}/demos/
%{_datadir}/%{name}/template/
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/kicad-*.xml
%{_datadir}/appdata/kicad.*.xml
%{_libdir}/%{name}/plugins/
%{_datadir}/%{name}/plugins/
%{_datadir}/%{name}/scripting/
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%dir %{_datadir}/%{name}
%{_datadir}/doc/kicad/scripts/ddr3_length_match.py
%{_datadir}/doc/kicad/scripts/lib_convert.py
%{_datadir}/doc/kicad/scripts/test_kicad_plugin.py
%{_datadir}/doc/kicad/scripts/test_plugin.py
   

%changelog
* Thu Jun 11 2020 ghostbunny <ghostbunny at gmx dot de> 5.1.6-1pclos2020
- 5.1.6

* Sun Oct 06 2019 tex - 5.1.0-2pclos2019
- rebuild against updates

* Wed Mar 20 2019 tex 5.1.0-1pclos2019
- new
